Bug 146854 - Snow with Radeon Mobility 9100IGP
Snow with Radeon Mobility 9100IGP
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-02-01 22:18 EST by Karl Latiss
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-30 03:19:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XFree86 log file (33.34 KB, text/plain)
2005-03-08 00:25 EST, Karl Latiss
no flags Details
XF86Config file (3.15 KB, text/plain)
2005-03-08 00:25 EST, Karl Latiss
no flags Details

  None (edit)
Description Karl Latiss 2005-02-01 22:18:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.4.3)
Gecko/20050104 MultiZilla/

Description of problem:
Snow appears on screen on HP nx9110 laptop with Radeon Mobility
9100IGP (RS300M) using Radeon driver during screen activity

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Use X
2.Screen activity generates snow

Expected Results:  No snow

Additional info:
Comment 1 Mike A. Harris 2005-03-06 11:43:01 EST
Thanks for your report.  Please attach your X server log file and
config file from the configuration experiencing this problem, as
individual uncompressed file attachments.

We will review your setup and troubleshoot this issue once
you've had a chance to attach these files.

Comment 2 Mike A. Harris 2005-03-06 11:43:39 EST
Setting status to "NEEDINFO", awaiting requested files.
Comment 3 Karl Latiss 2005-03-08 00:25:07 EST
Created attachment 111770 [details]
XFree86 log file

XFree86 log file as requested
Comment 4 Karl Latiss 2005-03-08 00:25:47 EST
Created attachment 111771 [details]
XF86Config file

XF86Config file as requested
Comment 5 Mike A. Harris 2005-05-12 02:44:29 EDT
I've reviewed the attached files, and there doesn't seem to be anything
indicated in them that might provide clues useful to diagnose the snow
problem you're having.

More information is required in order to diagnose the cause of the
problem being reported.  We require physical hardware access
to a system the problem can be reproduced on, in order to diagnose
the problem further.  I'll leave this open for now, as I don't know
if we have such hardware available internally or not.  

On a probably unrelated side note, FYI, these 3 options:

        Option	    "AGPMode" "2"
	Option	    "AGPFastWrite" "on"
	Option	    "EnablePageFlip" "on"

are useless, because the radeon driver does not support DRI on this hardware,
and AGP is only used for DRI operation.  It is generally not a good idea to
put these options in the config file even when DRI is supported however, as
it can cause lockups and other problems.  While I doubt removing them will
have any effect on the problem you're encountering, you might as well
remove them anyway, as they should all be ignored by the driver for your
specific hardware.

Setting status to "NEEDINFO" for now, until hardware is available for
further diagnosis, or a patch known to fix the issue can be made available
somehow, or additional information can be supplied which is useful in
diagnosis without the hardware.
Comment 7 Mike A. Harris 2005-08-30 03:19:04 EDT
Insufficient information available in bug report to diagnose issue,
and hardware not available for direct troubleshooting/debugging
analysis.  As such there isn't anything we can do for this problem
at this time.

Setting status to "CANTFIX".

If the problem persists in the latest RHEL updates, please feel free
to contact Red Hat technical support at http://www.redhat.com/support
or via telephone at 1-888-RED-HAT1 to open an official Red Hat
Enterprise Linux support ticket for this issue.

Note You need to log in before you can comment on or make changes to this bug.